<?php
$sql = "SELECT * FROM " . PREFIX . "_Reminder WHERE (Jahr = \"" . $Jahr . "\" AND ID = \"" . $ID . "\");";
$result = $db->query($sql);
$nt = $result->fetch_assoc();

if (!isset($_POST['ok']))
{
	$sqlk = "SELECT ID, Firma, Nachname, DSchutz FROM " . PREFIX . "_Kontakte ORDER BY Firma ASC, Nachname ASC;";
	$resultk = $db->query($sqlk);
	$sqla = "SELECT ID, Vorname, Nachname FROM Admin WHERE Firma_ID = \"" . PREFIX . "\" ORDER BY Nachname ASC;";
	$resulta = $db->query($sqla);
	echo "<fieldset>\n";
	echo "	<legend>Einstellungen für die nächste Rechnung festlegen</legend>\n";
	echo "	<form action=\"index.php?" . $_SERVER['QUERY_STRING'] . "\" method=\"post\">\n";
	echo "		<span class=\"right\">\n";
	echo "			<input type=\"submit\" class=\"button_ok\" name=\"formaction\" value=\"create\" title=\"Rechnung erstellen\" />\n";
	echo "		</span>\n";
	echo "		<input type=\"hidden\" name=\"ID\" value=\"" . $_POST['ID'] . "\" />\n";
	echo "		<input type=\"hidden\" name=\"ok\" value=\"1\" />\n";
	echo "		<label>nächste Fälligkeit am:</label>\n";
	echo "		<input type=\"text\" name=\"Datum\" value=\"00.00.0000\" />\n";
	echo "		<img src=\"img/small_info.png\" title=\"Datum der Form: <TT.MM.JJJJ>\" alt=\"Hilfe\" />\n";
	echo "		<br />\n";
	echo "	</form>\n";
	echo "</fieldset>\n";
	return (0);
}

echo "<br />\n";
$ntd = explode(".", $_POST['Datum']);
$Datum = $ntd['2'] . "-" . $ntd['1'] . "-" . $ntd['0'];
if (3 != sizeof($ntd))
{
	echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
	echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.7.2009\"!</h2>\n";
}
else
{
	if (4 != strlen($ntd['2']))
	{
		echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
		echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
	}
	else
	{
		if (checkdate($ntd['1'], $ntd['0'], $ntd['2']))
		{
			$sql = 'UPDATE ' . PREFIX . '_Reminder SET
						Datum			= "' . $Datum . '"
					WHERE
						(Jahr 		= "' . $Jahr . '"
					AND
						ID 			= "' . $ID . '");';
			$stmt = $db->prepare($sql);
			if (!$stmt)
			{
				die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
			}
			if (!$stmt->execute())
			{
				die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
			}
			$sql = 'INSERT INTO ' . PREFIX . '_Rechnungen (Jahr, ID, Kontakt_ID, Admin_ID, Schluss_Rechnung, Preis, MwSt, Rabatt, Skonto, Text, Datum) VALUES (YEAR(CURDATE()), NULL, "' . $nt['Kontakt_ID'] . '", "' . $nt['Admin_ID'] . '", "1", "' . $nt['Preis'] . '", "' . $nt['MwSt'] . '", "' . $nt['Rabatt'] . '", "' . $nt['Skonto'] . '", "' . addslashes(stripslashes($nt['Text'])) . '", CURDATE())';
			$stmt = $db->prepare($sql);
			if (!$stmt)
			{
				die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
			}
			if (!$stmt->execute())
			{
				die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
			}
			$sql = 'SELECT last_insert_id() AS last';
			$result = $db->query($sql);
			$nt = $result->fetch_assoc();
			$ID_New = $nt['last'];

			$sqlp = "SELECT * FROM " . PREFIX . "_Reminder_Pos WHERE (Jahr = \"" . $Jahr . "\" AND Reminder_ID = \"" . $ID . "\");";
			$resultp = $db->query($sqlp);
			while ($ntp = $resultp->fetch_assoc())
			{
				$sql = "INSERT INTO " . PREFIX . "_Rechnung_Pos (ID, Jahr, Rechnung_ID, Position, Anzahl, Bezeichnung, Preis, Feld1, Feld2, Feld3, Feld4, Feld5) VALUES (NULL, YEAR(CURDATE()), \"" . $ID_New . "\", \"" . $ntp['Position'] . "\", \"" . $ntp['Anzahl'] . "\", \"" . addslashes(stripslashes($ntp['Bezeichnung'])) . "\", \"" . $ntp['Preis'] . "\", \"" . addslashes(stripslashes($ntp['Feld1'])) . "\", \"" . addslashes(stripslashes($ntp['Feld2'])) . "\", \"" . addslashes(stripslashes($ntp['Feld3'])) . "\", \"" . addslashes(stripslashes($ntp['Feld4'])) . "\", \"" . addslashes(stripslashes($ntp['Feld5'])) . "\");";
				$stmt = $db->prepare($sql);
				if (!$stmt)
				{
					die ('Datensatz konnte nicht angelegt werden: ' . $db->error);
				}
				if (!$stmt->execute())
				{
					die ('Datensatz konnte nicht angelegt werden: ' . $stmt->error);
				}
			}
		}
	}
}
echo "<fieldset>\n";
echo "	<legend>Rechnung wurde erstellt</legend>\n";
echo "	<form action=\"index.php?section=rechnung\" method=\"post\">\n";
echo "		<input type=\"hidden\" name=\"ID\" value=\"" . date("Y") . "_" . $ID_New . "\" />\n";
echo "		<input type=\"submit\" class=\"button_edit\" name=\"formaction\" value=\"edit\" title=\"Rechnung bearbeiten\" />\n";
echo "	</form>\n";
echo "</fieldset>\n";